org.eclipse.oomph.setup.workbench.impl

## Class WorkbenchPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.oomph.setup.workbench.impl.WorkbenchPackageImpl

- All Implemented Interfaces:
    Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, WorkbenchPackage

      public class WorkbenchPackageImpl
      extends EPackageImpl
      implements WorkbenchPackage

  An implementation of the model Package.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.oomph.setup.workbench.WorkbenchPackage

      `WorkbenchPackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.setup.workbench.WorkbenchPackage

      `COMMAND_PARAMETER, COMMAND_PARAMETER__ANNOTATIONS, COMMAND_PARAMETER__ID, COMMAND_PARAMETER__VALUE, COMMAND_PARAMETER_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FILE_ASSOCIATIONS_TASK, FILE_ASSOCIATIONS_TASK__ANNOTATIONS, FILE_ASSOCIATIONS_TASK__DESCRIPTION, FILE_ASSOCIATIONS_TASK__DISABLED, FILE_ASSOCIATIONS_TASK__EXCLUDED_TRIGGERS, FILE_ASSOCIATIONS_TASK__ID, FILE_ASSOCIATIONS_TASK__MAPPINGS, FILE_ASSOCIATIONS_TASK__PREDECESSORS, FILE_ASSOCIATIONS_TASK__RESTRICTIONS, FILE_ASSOCIATIONS_TASK__SCOPE_TYPE, FILE_ASSOCIATIONS_TASK__SUCCESSORS, FILE_ASSOCIATIONS_TASK_FEATURE_COUNT, FILE_EDITOR, FILE_EDITOR__ANNOTATIONS, FILE_EDITOR__ID, FILE_EDITOR_FEATURE_COUNT, FILE_MAPPING, FILE_MAPPING__ANNOTATIONS, FILE_MAPPING__DEFAULT_EDITOR_ID, FILE_MAPPING__EDITORS, FILE_MAPPING__FILE_PATTERN, FILE_MAPPING_FEATURE_COUNT, KEY_BINDING_CONTEXT, KEY_BINDING_CONTEXT__ANNOTATIONS, KEY_BINDING_CONTEXT__ID, KEY_BINDING_CONTEXT_FEATURE_COUNT, KEY_BINDING_TASK, KEY_BINDING_TASK__ANNOTATIONS, KEY_BINDING_TASK__COMMAND, KEY_BINDING_TASK__COMMAND_PARAMETERS, KEY_BINDING_TASK__CONTEXTS, KEY_BINDING_TASK__DESCRIPTION, KEY_BINDING_TASK__DISABLED, KEY_BINDING_TASK__EXCLUDED_TRIGGERS, KEY_BINDING_TASK__ID, KEY_BINDING_TASK__KEYS, KEY_BINDING_TASK__LOCALE, KEY_BINDING_TASK__PLATFORM, KEY_BINDING_TASK__PREDECESSORS, KEY_BINDING_TASK__RESTRICTIONS, KEY_BINDING_TASK__SCHEME, KEY_BINDING_TASK__SCOPE_TYPE, KEY_BINDING_TASK__SUCCESSORS, KEY_BINDING_TASK_FEATURE_COUNT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createEcoreAnnotations()` Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.
    `protected void` | `createEnablementAnnotations()` Initializes the annotations for http://www.eclipse.org/oomph/setup/Enablement.
    `protected void` | `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
    `protected void` | `createLabelProviderAnnotations()` Initializes the annotations for http://www.eclipse.org/oomph/base/LabelProvider.
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `protected void` | `createValidTriggersAnnotations()` Initializes the annotations for http://www.eclipse.org/oomph/setup/ValidTriggers.
    `EAttribute` | `getCommandParameter_ID()`
    `EAttribute` | `getCommandParameter_Value()`
    `EClass` | `getCommandParameter()`
    `EReference` | `getFileAssociationsTask_Mappings()`
    `EClass` | `getFileAssociationsTask()`
    `EAttribute` | `getFileEditor_ID()`
    `EClass` | `getFileEditor()`
    `EAttribute` | `getFileMapping_DefaultEditorID()`
    `EReference` | `getFileMapping_Editors()`
    `EAttribute` | `getFileMapping_FilePattern()`
    `EClass` | `getFileMapping()`
    `EAttribute` | `getKeyBindingContext_ID()`
    `EClass` | `getKeyBindingContext()`
    `EAttribute` | `getKeyBindingTask_Command()`
    `EReference` | `getKeyBindingTask_CommandParameters()`
    `EReference` | `getKeyBindingTask_Contexts()`
    `EAttribute` | `getKeyBindingTask_Keys()`
    `EAttribute` | `getKeyBindingTask_Locale()`
    `EAttribute` | `getKeyBindingTask_Platform()`
    `EAttribute` | `getKeyBindingTask_Scheme()`
    `EClass` | `getKeyBindingTask()`
    `WorkbenchFactory` | `getWorkbenchFactory()`
    `static WorkbenchPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### init

          public static WorkbenchPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `WorkbenchPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `WorkbenchPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated

    - #### getFileAssociationsTask

          public EClass getFileAssociationsTask()

      Specified by:
        `getFileAssociationsTask` in interface `WorkbenchPackage`
      Returns:
        the meta object for class 'File Associations Task'.
      See Also:
        `FileAssociationsTask`
      Generated

    - #### getFileAssociationsTask_Mappings

          public EReference getFileAssociationsTask_Mappings()

      Specified by:
        `getFileAssociationsTask_Mappings` in interface `WorkbenchPackage`
      Returns:
        the meta object for the containment reference list 'Mappings'.
      See Also:
        `FileAssociationsTask.getMappings()`, `WorkbenchPackage.getFileAssociationsTask()`
      Generated

    - #### getFileMapping

          public EClass getFileMapping()

      Specified by:
        `getFileMapping` in interface `WorkbenchPackage`
      Returns:
        the meta object for class 'File Mapping'.
      See Also:
        `FileMapping`
      Generated

    - #### getFileMapping_FilePattern

          public EAttribute getFileMapping_FilePattern()

      Specified by:
        `getFileMapping_FilePattern` in interface `WorkbenchPackage`
      Returns:
        the meta object for the attribute 'File Pattern'.
      See Also:
        `FileMapping.getFilePattern()`, `WorkbenchPackage.getFileMapping()`
      Generated

    - #### getFileMapping_DefaultEditorID

          public EAttribute getFileMapping_DefaultEditorID()

      Specified by:
        `getFileMapping_DefaultEditorID` in interface `WorkbenchPackage`
      Returns:
        the meta object for the attribute 'Default Editor ID'.
      See Also:
        `FileMapping.getDefaultEditorID()`, `WorkbenchPackage.getFileMapping()`
      Generated

    - #### getFileMapping_Editors

          public EReference getFileMapping_Editors()

      Specified by:
        `getFileMapping_Editors` in interface `WorkbenchPackage`
      Returns:
        the meta object for the containment reference list 'Editors'.
      See Also:
        `FileMapping.getEditors()`, `WorkbenchPackage.getFileMapping()`
      Generated

    - #### getFileEditor

          public EClass getFileEditor()

      Specified by:
        `getFileEditor` in interface `WorkbenchPackage`
      Returns:
        the meta object for class 'File Editor'.
      See Also:
        `FileEditor`
      Generated

    - #### getFileEditor_ID

          public EAttribute getFileEditor_ID()

      Specified by:
        `getFileEditor_ID` in interface `WorkbenchPackage`
      Returns:
        the meta object for the attribute 'ID'.
      See Also:
        `FileEditor.getID()`, `WorkbenchPackage.getFileEditor()`
      Generated

    - #### getKeyBindingTask

          public EClass getKeyBindingTask()

      Specified by:
        `getKeyBindingTask` in interface `WorkbenchPackage`
      Returns:
        the meta object for class 'Key Binding Task'.
      See Also:
        `KeyBindingTask`
      Generated

    - #### getKeyBindingTask_Scheme

          public EAttribute getKeyBindingTask_Scheme()

      Specified by:
        `getKeyBindingTask_Scheme` in interface `WorkbenchPackage`
      Returns:
        the meta object for the attribute 'Scheme'.
      See Also:
        `KeyBindingTask.getScheme()`, `WorkbenchPackage.getKeyBindingTask()`
      Generated

    - #### getKeyBindingTask_Contexts

          public EReference getKeyBindingTask_Contexts()

      Specified by:
        `getKeyBindingTask_Contexts` in interface `WorkbenchPackage`
      Returns:
        the meta object for the containment reference list 'Contexts'.
      See Also:
        `KeyBindingTask.getContexts()`, `WorkbenchPackage.getKeyBindingTask()`
      Generated

    - #### getKeyBindingTask_Platform

          public EAttribute getKeyBindingTask_Platform()

      Specified by:
        `getKeyBindingTask_Platform` in interface `WorkbenchPackage`
      Returns:
        the meta object for the attribute 'Platform'.
      See Also:
        `KeyBindingTask.getPlatform()`, `WorkbenchPackage.getKeyBindingTask()`
      Generated

    - #### getKeyBindingTask_Locale

          public EAttribute getKeyBindingTask_Locale()

      Specified by:
        `getKeyBindingTask_Locale` in interface `WorkbenchPackage`
      Returns:
        the meta object for the attribute 'Locale'.
      See Also:
        `KeyBindingTask.getLocale()`, `WorkbenchPackage.getKeyBindingTask()`
      Generated

    - #### getKeyBindingTask_Keys

          public EAttribute getKeyBindingTask_Keys()

      Specified by:
        `getKeyBindingTask_Keys` in interface `WorkbenchPackage`
      Returns:
        the meta object for the attribute 'Keys'.
      See Also:
        `KeyBindingTask.getKeys()`, `WorkbenchPackage.getKeyBindingTask()`
      Generated

    - #### getKeyBindingTask_Command

          public EAttribute getKeyBindingTask_Command()

      Specified by:
        `getKeyBindingTask_Command` in interface `WorkbenchPackage`
      Returns:
        the meta object for the attribute 'Command'.
      See Also:
        `KeyBindingTask.getCommand()`, `WorkbenchPackage.getKeyBindingTask()`
      Generated

    - #### getKeyBindingTask_CommandParameters

          public EReference getKeyBindingTask_CommandParameters()

      Specified by:
        `getKeyBindingTask_CommandParameters` in interface `WorkbenchPackage`
      Returns:
        the meta object for the containment reference list 'Command Parameters'.
      See Also:
        `KeyBindingTask.getCommandParameters()`, `WorkbenchPackage.getKeyBindingTask()`
      Generated

    - #### getKeyBindingContext

          public EClass getKeyBindingContext()

      Specified by:
        `getKeyBindingContext` in interface `WorkbenchPackage`
      Returns:
        the meta object for class 'Key Binding Context'.
      See Also:
        `KeyBindingContext`
      Generated

    - #### getKeyBindingContext_ID

          public EAttribute getKeyBindingContext_ID()

      Specified by:
        `getKeyBindingContext_ID` in interface `WorkbenchPackage`
      Returns:
        the meta object for the attribute 'ID'.
      See Also:
        `KeyBindingContext.getID()`, `WorkbenchPackage.getKeyBindingContext()`
      Generated

    - #### getCommandParameter

          public EClass getCommandParameter()

      Specified by:
        `getCommandParameter` in interface `WorkbenchPackage`
      Returns:
        the meta object for class 'Command Parameter'.
      See Also:
        `CommandParameter`
      Generated

    - #### getCommandParameter_ID

          public EAttribute getCommandParameter_ID()

      Specified by:
        `getCommandParameter_ID` in interface `WorkbenchPackage`
      Returns:
        the meta object for the attribute 'ID'.
      See Also:
        `CommandParameter.getID()`, `WorkbenchPackage.getCommandParameter()`
      Generated

    - #### getCommandParameter_Value

          public EAttribute getCommandParameter_Value()

      Specified by:
        `getCommandParameter_Value` in interface `WorkbenchPackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `CommandParameter.getValue()`, `WorkbenchPackage.getCommandParameter()`
      Generated

    - #### getWorkbenchFactory

          public WorkbenchFactory getWorkbenchFactory()

      Specified by:
        `getWorkbenchFactory` in interface `WorkbenchPackage`
      Returns:
        the factory that creates the instances of the model.
      Generated

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### createEcoreAnnotations

          protected void createEcoreAnnotations()

      Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.
      Generated

    - #### createEnablementAnnotations

          protected void createEnablementAnnotations()

      Initializes the annotations for http://www.eclipse.org/oomph/setup/Enablement.
      Generated

    - #### createLabelProviderAnnotations

          protected void createLabelProviderAnnotations()

      Initializes the annotations for http://www.eclipse.org/oomph/base/LabelProvider.
      Generated

    - #### createValidTriggersAnnotations

          protected void createValidTriggersAnnotations()

      Initializes the annotations for http://www.eclipse.org/oomph/setup/ValidTriggers.
      Generated

    - #### createExtendedMetaDataAnnotations

          protected void createExtendedMetaDataAnnotations()

      Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html